Debian Bug report logs - #618956
cgroup-bin: fails to install

version graph

Package: cgroup-bin; Maintainer for cgroup-bin is Daniel Baumann <mail@daniel-baumann.ch>; Source for cgroup-bin is src:libcgroup.

Reported by: Philipp Kern <pkern@debian.org>

Date: Sat, 19 Mar 2011 21:09:05 UTC

Severity: serious

Found in versions libcgroup/0.36.2-3, 0.37.1-1

Done: Jon Bernard <jbernard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jon Bernard <jbernard@debian.org>:
Bug#618956; Package cgroup-bin. (Sat, 19 Mar 2011 21:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Philipp Kern <pkern@debian.org>:
New Bug report received and forwarded. Copy sent to Jon Bernard <jbernard@debian.org>. (Sat, 19 Mar 2011 21:09:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: submit@bugs.debian.org
Subject: cgroup-bin: fails to install
Date: Sat, 19 Mar 2011 22:06:35 +0100
[Message part 1 (text/plain, inline)]
Package: cgroup-bin
Version: 0.36.2-3
Severity: serious

| Setting up cgroup-bin (0.36.2-3) ...
| Starting cgconfig service: Loading configuration file /etc/cgconfig.conf failed
| Cgroup mounting failed
| Failed to parse /etc/cgconfig.conf ... failed!
| invoke-rc.d: initscript cgconfig, action "start" failed.
| dpkg: error processing cgroup-bin (--configure):
|  subprocess installed post-installation script returned error exit status 1
| configured to not write apport reports

`/usr/sbin/cgconfigparser -l /etc/cgconfig.conf' fails with the provided
configuration file:

| pkern@simplex:~$ grep -v '^#' /etc/cgconfig.conf 
| mount {
|	cpu = /mnt/cgroups/cpu;
|	cpuacct = /mnt/cgroups/cpuacct;
|	devices = /mnt/cgroups/devices;
| }

-- System Information:
Debian Release: 6.0
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-rc7-pkern (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cgroup-bin depends on:
ii  libc6                         2.11.2-10  Embedded GNU C Library: Shared lib
ii  libcgroup1                    0.36.2-3   A library to control and monitor c

cgroup-bin recommends no packages.

cgroup-bin suggests no packages.

-- no debconf information
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jon Bernard <jbernard@debian.org>:
Bug#618956; Package cgroup-bin. (Thu, 31 Mar 2011 18:24:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@wrar.name>:
Extra info received and forwarded to list. Copy sent to Jon Bernard <jbernard@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Thu, 31 Mar 2011 18:24:11 GMT) Full text and rfc822 format available.


Message #10 received at 618956@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@wrar.name>
To: 618956@bugs.debian.org
Date: Thu, 31 Mar 2011 23:40:30 +0600
[Message part 1 (text/plain, inline)]
IIRC that means the system already has some cgroups activated, which can
be checked at /proc/cgroups.

-- 
WBR, wRAR
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jon Bernard <jbernard@debian.org>:
Bug#618956; Package cgroup-bin. (Thu, 08 Sep 2011 01:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Marron <sfm@boxfusion.net>:
Extra info received and forwarded to list. Copy sent to Jon Bernard <jbernard@debian.org>. (Thu, 08 Sep 2011 01:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 618956@bugs.debian.org (full text, mbox):

From: Stephen Marron <sfm@boxfusion.net>
To: 618956@bugs.debian.org
Subject: Works for me
Date: Thu, 8 Sep 2011 09:51:25 +0930
Hey,

0.37.1-1 Installed without any problems for me, has this been fixed?

Stephen





Information forwarded to debian-bugs-dist@lists.debian.org, rrs@debian.org, rrs@debian.org, Jon Bernard <jbernard@debian.org>:
Bug#618956; Package cgroup-bin. (Sun, 25 Sep 2011 20:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ritesh Raj Sarraf <rrs@debian.org>:
Extra info received and forwarded to list. Copy sent to rrs@debian.org, rrs@debian.org, Jon Bernard <jbernard@debian.org>. (Sun, 25 Sep 2011 20:57:07 GMT) Full text and rfc822 format available.

Message #20 received at 618956@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@debian.org>
To: Debian Bug Tracking System <618956@bugs.debian.org>
Subject: Re: cgroup-bin: fails to install
Date: Mon, 26 Sep 2011 02:24:26 +0530
Package: cgroup-bin
Version: 0.37.1-1
Followup-For: Bug #618956

This bug has been more than 6 months old and is filed with Severity:
Serious. Still no updates ?


I was hit by the bug so it still persists.


Setting up libcgroup1 (0.37.1-1) ...
Setting up cgroup-bin (0.37.1-1) ...
Starting cgconfig service: Loading configuration file /etc/cgconfig.conf failed
Cgroup mounting failed
Failed to parse /etc/cgconfig.conf ... failed!
invoke-rc.d: initscript cgconfig, action "start" failed.
dpkg: error processing cgroup-bin (--configure):
 subprocess installed post-installation script returned error exit status 1
configured to not write apport reports
                                      Errors were encountered while processing:
 cgroup-bin
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up cgroup-bin (0.37.1-1) ...
Starting cgconfig service: Loading configuration file /etc/cgconfig.conf failed
Cgroup mounting failed
Failed to parse /etc/cgconfig.conf ... failed!
invoke-rc.d: initscript cgconfig, action "start" failed.
dpkg: error processing cgroup-bin (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 cgroup-bin
                                         


Narrowed down to:


02:03:17 rrs@champaran:/var/cache/pbuilder$ sudo /etc/init.d/cgconfig restart
[sudo] password for rrs: 
Stopping cgconfig service: .
Starting cgconfig service: Loading configuration file /etc/cgconfig.conf failed
Cgroup mounting failed
Failed to parse /etc/cgconfig.conf ... failed!


And further..............


02:09:00 rrs@champaran:~/Desktop$ sudo cgconfigparser -l /etc/cgconfig.conf 
Loading configuration file /etc/cgconfig.conf failed
Cgroup mounting failed
02:09:25 rrs@champaran:~/Desktop$ echo $?
3




I did have a cgroup mount on /cgroup. But even unmounting and re-running
the script did not help.


Please fix this bug.



-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cgroup-bin depends on:
ii  libc6       2.13-21 
ii  libcgroup1  0.37.1-1

cgroup-bin recommends no packages.

cgroup-bin suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Jon Bernard <jbernard@debian.org>:
Bug#618956; Package cgroup-bin. (Mon, 26 Sep 2011 08:06:53 GMT) Full text and rfc822 format available.

Acknowledgement sent to rrs@debian.org:
Extra info received and forwarded to list. Copy sent to Jon Bernard <jbernard@debian.org>. (Mon, 26 Sep 2011 08:06:54 GMT) Full text and rfc822 format available.

Message #25 received at 618956@bugs.debian.org (full text, mbox):

From: Ritesh Raj Sarraf <rrs@debian.org>
To: 618956@bugs.debian.org
Subject: Re: Bug#618956: cgroup-bin: fails to install
Date: Mon, 26 Sep 2011 13:35:26 +0530
[Message part 1 (text/plain, inline)]
On 09/26/2011 02:24 AM, Ritesh Raj Sarraf wrote:
> I did have a cgroup mount on /cgroup. But even unmounting and re-running
> the script did not help.
>
>
A reboot with the /cgroup mount point disabled in fstab solved the
problem. But as I've reported in 642945, restarting it still fails.

-- 
Ritesh Raj Sarraf | http://people.debian.org/~rrs
Debian - The Universal Operating System


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jon Bernard <jbernard@debian.org>:
Bug#618956; Package cgroup-bin. (Wed, 05 Oct 2011 11:39:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas <lucas.spam@gmail.com>:
Extra info received and forwarded to list. Copy sent to Jon Bernard <jbernard@debian.org>. (Wed, 05 Oct 2011 11:39:23 GMT) Full text and rfc822 format available.

Message #30 received at 618956@bugs.debian.org (full text, mbox):

From: Lucas <lucas.spam@gmail.com>
To: 618956@bugs.debian.org
Subject: can't install cgroup-bin
Date: Wed, 5 Oct 2011 13:35:05 +0200
[Message part 1 (text/plain, inline)]
Hello,

Can't install cgroup-bin ( 0.36.2-3+squeeze1 ) on squeeze :

apt-get install cgroup-bin
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les NOUVEAUX paquets suivants seront installés :
  cgroup-bin
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 0 o/54,8 ko dans les archives.
Après cette opération, 279 ko d'espace disque supplémentaires seront
utilisés.
Sélection du paquet cgroup-bin précédemment désélectionné.
(Lecture de la base de données... 42174 fichiers et répertoires déjà
installés.)
Dépaquetage de cgroup-bin (à partir de
.../cgroup-bin_0.36.2-3+squeeze1_i386.deb) ...
Traitement des actions différées (« triggers ») pour « man-db »...
Paramétrage de cgroup-bin (0.36.2-3+squeeze1) ...
Starting cgconfig service: Loading configuration file /etc/cgconfig.conf
failed
Cgroup mounting failed
Failed to parse /etc/cgconfig.conf ... failed!
invoke-rc.d: initscript cgconfig, action "start" failed.
dpkg : erreur de traitement de cgroup-bin (--configure) :
 le sous-processus script post-installation installé a retourné une erreur
de sortie d'état 1
configured to not write apport reports
                                      Des erreurs ont été rencontrées
pendant l'exécution :
 cgroup-bin
E: Sub-process /usr/bin/dpkg returned an error code (1)


If we try to start :

/etc/init.d/cgconfig start
Starting cgconfig service: Loading configuration file /etc/cgconfig.conf
failed
Cgroup mounting failed
Failed to parse /etc/cgconfig.conf ... failed!


A problem with the config file ? so let's try :

cgconfigparser -l /etc/cgconfig.conf
Loading configuration file /etc/cgconfig.conf failed
Cgroup mounting failed

A strace ?
http://pastebin.com/CvR00EuS

I have no mount point in the fstab and nothing from cgroups in /proc/ but
folder /mnt/cgroups exist.


-- System Information:
Debian Release: 6.0.2
  APT prefers stable
  APT policy: (700, 'stable'), (650, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.35.8.-V1.1 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cgroup-bin depends on:
ii  libc6                  2.11.2-10         Embedded GNU C Library: Shared
lib
ii  libcgroup1             0.36.2-3+squeeze1 A library to control and
monitor c

cgroup-bin recommends no packages.

cgroup-bin suggests no packages.

-- Configuration Files:
/etc/cgconfig.conf changed:
mount {
        cpuacct = /mnt/cgroups/cpuacct;
        devices = /mnt/cgroups/devices;
}


-- no debconf information

If more information is needed, mail me.
Hope this will be fixed soon.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jon Bernard <jbernard@debian.org>:
Bug#618956; Package cgroup-bin. (Wed, 21 Mar 2012 09:46:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <bigon@debian.org>:
Extra info received and forwarded to list. Copy sent to Jon Bernard <jbernard@debian.org>. (Wed, 21 Mar 2012 09:46:17 GMT) Full text and rfc822 format available.

Message #35 received at 618956@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <bigon@debian.org>
To: 618956@bugs.debian.org
Subject: Re: cgroup-bin: fails to install
Date: Wed, 21 Mar 2012 10:43:12 +0100
Hi,

Any advancement on this bug?

Cheers

Laurent Bigonville




Reply sent to Jon Bernard <jbernard@debian.org>:
You have taken responsibility. (Tue, 26 Jun 2012 01:21:04 GMT) Full text and rfc822 format available.

Notification sent to Philipp Kern <pkern@debian.org>:
Bug acknowledged by developer. (Tue, 26 Jun 2012 01:21:04 GMT) Full text and rfc822 format available.

Message #40 received at 618956-done@bugs.debian.org (full text, mbox):

From: Jon Bernard <jbernard@debian.org>
To: 618956-done@bugs.debian.org
Subject: Bug fixed in recent upload
Date: Mon, 25 Jun 2012 21:18:24 -0400
I believe this bug is now fixed. I've just uploaded 0.38 which removes the
problematic initscripts from being installed by default. There should be no more
installation/upgrade failures now.

-- 
Jon




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 24 Jul 2012 07:30:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:51:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.